Bug 834399 - Leak of keystore file descriptors in ovirt-engine
Leak of keystore file descriptors in ovirt-engine
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
unspecified
Unspecified Other
urgent Severity urgent
: ---
: 3.1
Assigned To: Juan Hernández
infra
: TestBlocker
Depends On:
Blocks: 822145 835006
  Show dependency treegraph
 
Reported: 2012-06-21 14:38 EDT by Juan Hernández
Modified: 2012-08-09 04:06 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 835006 (view as bug list)
Environment:
Last Closed: 2012-08-09 04:06:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juan Hernández 2012-06-21 14:38:26 EDT
Description of problem:

The engine doesn't close the file descriptor used to open and read the .keystore file, as a result after some time file descriptors are exhausted an the engine is non operational.

Version-Release number of selected component (if applicable):

ovirt-engine-3.1.0-3

Not that this is the first 3.1 beta, before the change in the numbering schema for pre-releases.

How reproducible:

Always.

Steps to Reproduce:
1. Start the engine and wait.
  
Actual results:

The engine is non operational.


Expected results:

The file descriptor should be closed after use.

Additional info:

The following message appears repeatedly in the engine.log file:

2012-06-17 05:21:24,682 ERROR
[org.ovirt.engine.core.engineencryptutils.EncryptionUtils]
(ajp--0.0.0.0-8009-9) Failed to decryptjava.io.FileNotFoundException:
/etc/pki/ovirt-engine/.keystore (Too many open files)

Running lsof -p <engine pid> shows hundreds of the same open file:

java    3557 ovirt  839r   REG  253,0     3230  7865608
/etc/pki/ovirt-engine/.keystore
java    3557 ovirt  840r   REG  253,0     3230  7865608
/etc/pki/ovirt-engine/.keystore
java    3557 ovirt  841r   REG  253,0     3230  7865608
...
Comment 1 Juan Hernández 2012-06-21 14:41:27 EDT
The change to fix this issue is here:

http://gerrit.ovirt.org/#/c/5423

It has already been merged in the master branch, and it is waiting for review in the engine_3.1 branch:

http://gerrit.ovirt.org/#/c/5599
Comment 2 Ofer Schreiber 2012-07-05 08:21:09 EDT
New oVirt 3.1 beta build containing this fix has been uploaded to ovirt.org.
(ovirt-engine-3.1.0-0.2.20120704git1df1ba)
Comment 3 Itamar Heim 2012-08-09 04:06:36 EDT
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/

Note You need to log in before you can comment on or make changes to this bug.